- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoCombinedMOLS< EOT > Class Template Reference

This class allows to embed a set of local searches that are sequentially applied, and so working and updating the same archive of non-dominated solutions. More...

`#include <moeoCombinedMOLS.h>`

Inheritance diagram for moeoCombinedMOLS< EOT >:

List of all members.

## Public Member Functions
| moeoCombinedMOLS (eoEvalFunc< EOT > &_eval, moeoMOLS< EOT > &_first_ls)
| Ctor.
void | add (moeoMOLS< EOT > &_ls)
| Adds a new local search to combine.
void | operator() (const EOT &_eo, moeoArchive< EOT > &_arch)
| Gives a new solution in order to explore the neigborhood.
## Private Attributes
eoEvalFunc< EOT > & | eval
| the full evaluator of a solution
std::vector< moeoMOLS< EOT > * > | combinedMOLS
| the vector that contains the combined MOLS

## Detailed Description

### template<class EOT>
class moeoCombinedMOLS< EOT >

This class allows to embed a set of local searches that are sequentially applied, and so working and updating the same archive of non-dominated solutions.

Definition at line 24 of file moeoCombinedMOLS.h.

## Constructor & Destructor Documentation

template<class EOT>

moeoCombinedMOLS< EOT >::moeoCombinedMOLS | ( | eoEvalFunc< EOT > & | _eval,
|  | moeoMOLS< EOT > & | _first_ls |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _eval | the full evaluator of a solution
  | _first_ls | the first multi-objective local search to add

Definition at line 33 of file moeoCombinedMOLS.h.

References moeoCombinedMOLS< EOT >::combinedMOLS.

## Member Function Documentation

template<class EOT>

void moeoCombinedMOLS< EOT >::add | ( | moeoMOLS< EOT > & | _ls | ) | `[inline]`

Adds a new local search to combine.

Parameters:

  | _ls | the multi-objective local search to add

Definition at line 43 of file moeoCombinedMOLS.h.

References moeoCombinedMOLS< EOT >::combinedMOLS.

template<class EOT>

void moeoCombinedMOLS< EOT >::operator() | ( | const EOT & | _eo,
|  | moeoArchive< EOT > & | _arch |
| ) |  |  | `[inline]`

Gives a new solution in order to explore the neigborhood.

The new non-dominated solutions are added to the archive

Parameters:

  | _eo | the solution
  | _arch | the archive of non-dominated solutions

Definition at line 54 of file moeoCombinedMOLS.h.

References moeoCombinedMOLS< EOT >::combinedMOLS, and moeoCombinedMOLS< EOT >::eval.

The documentation for this class was generated from the following file:

- moeoCombinedMOLS.h